<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scriptRunning](./bitburner.ns.scriptrunning.md)

## NS.scriptRunning() method

Check if any script with a filename is running.

**Signature:**

```typescript
scriptRunning(script: string, host?: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

script


</td><td>

string


</td><td>

Filename of script to check. This is case-sensitive.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the target server. Optional. Defaults to current server if not provided.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the specified script is running, and false otherwise.

## Remarks

RAM cost: 1 GB

Returns a boolean indicating whether any instance of the specified script is running on the target server, regardless of its arguments.

This is different than the [isRunning](./bitburner.ns.isrunning.md) function because it does not try to identify a specific instance of a running script by its arguments.

## Example


```js
//The function call will return true if there is any script named foo.js running on the foodnstuff server, and false otherwise:
ns.scriptRunning("foo.js", "foodnstuff");

//The function call will return true if there is any script named “foo.js” running on the current server, and false otherwise:
ns.scriptRunning("foo.js", ns.getHostname());
```

